summaryrefslogtreecommitdiffhomepage
diff options
context:
space:
mode:
authormidipix <writeonce@midipix.org>2017-12-12 04:22:19 -0500
committermidipix <writeonce@midipix.org>2017-12-12 04:27:04 -0500
commit8b17a68b0d72dcb49a639b113c3d9ffdb5fcf5ea (patch)
tree1716cf9f06f3ae82435a4d6bf8c2d0733aea731b
parentc2225d49eb9ddc436af815c2a06006c3011980fe (diff)
downloadsofort-8b17a68b0d72dcb49a639b113c3d9ffdb5fcf5ea.tar.bz2
sofort-8b17a68b0d72dcb49a639b113c3d9ffdb5fcf5ea.tar.xz
sofort: added recipiff (diff of sofort files between projects, aka sync check).
-rwxr-xr-xrecipiff16
-rwxr-xr-xsofort.sh1
2 files changed, 17 insertions, 0 deletions
diff --git a/recipiff b/recipiff
new file mode 100755
index 0000000..50f3b77
--- /dev/null
+++ b/recipiff
@@ -0,0 +1,16 @@
+#!/bin/sh
+
+src=$1
+dst=$2
+
+if [ -z "$dst" ]; then
+ echo 'usage: $0 src dst'
+ exit 1
+fi
+
+diff -ru $src/configure $dst/configure || exit 1
+diff -ru $src/config.usage $dst/config.usage || exit 1
+diff -ru $src/Makefile.in $dst/Makefile.in || exit 1
+
+diff -ru $src/sofort $dst/sofort || exit 1
+diff -ru $src/sysinfo $dst/sysinfo || exit 1
diff --git a/sofort.sh b/sofort.sh
index 193dfca..3f1a019 100755
--- a/sofort.sh
+++ b/sofort.sh
@@ -59,6 +59,7 @@ stat "$dstdir" >/dev/null 2>/dev/null && error_dstdir_exists
mkdir -p "$(dirname $dstdir)" || exit 2
cp -r "$srcdir" "$dstdir" || exit 2
rm "$dstdir"/sofort.sh || exit 2
+rm "$dstdir"/recipiff || exit 2
rm -rf "$dstdir"/.git || exit 2
# three: content